# Copyright (c) 1993 Argonaut Software Ltd. All rights reserved.
#
# $Id: makefile.wat 1.1 1995/01/23 16:45:43 sam Exp $
# $Locker:  $
#
# Build WIN32 Application with Watcom C/C++ 10
#
# NB: Make sure the INCLUDE path references "...\watcom\h\nt" not
# "...\watcom\h\win" 
#
TARGET=simpview.exe

BASE_DIR=..\..\..

# Watcom, Fixed, Release
#
#LIB_TYPE=wxrr
#BASED=FIXED

# Watcom, Float, Release
#
LIB_TYPE=wfrr
BASED=FLOAT

CC=wcc386
CFLAGS=-omaxnet -zp4 -5r &
 -bt=nt&
 -DBASED_$(BASED)=1&
 -DNDEBUG&
 -D_WINDOWS&
 -DWIN32&
 -I$(BASE_DIR)\inc

# Object files
#
OBJS_C=&
 buffer.obj&
 dispatch.obj&
 mattab.obj&
 app.obj&
 world.obj&
 main.obj&

OBJS=$(OBJS_C) $(OBJS_ASM)

# Link libraries
#
LIBS=&
	$(BASE_DIR)/lib/brst$(LIB_TYPE).lib&
	$(BASE_DIR)/lib/brfw$(LIB_TYPE).lib&
	$(BASE_DIR)/lib/brfm$(LIB_TYPE).lib&
	$(BASE_DIR)/lib/brzb$(LIB_TYPE).lib&

# Default rules
#
# Cope with long command lines
#
.c.obj:
	set _ARGS=$(CFLAGS) -fo=$@ $<
	$(CC) @_ARGS

.SUFFIXES: .res .rc

.rc.res:
	wrc -bt=nt -r -DNDEBUG -fo=$@ $<

$(TARGET): $(OBJS) wlink.rsp app.res
	wlink @wlink.rsp
	wrc app.res $(TARGET)

# Link response file
#
wlink.rsp: makefile.wat
	echo name $(TARGET) >wlink.rsp
	echo system nt_win >>wlink.rsp
	echo option caseexact,stack=64k >>wlink.rsp
	for %i in ($(OBJS)) do echo file %i >>wlink.rsp
	for %i in ($(LIBS)) do echo library %i >>wlink.rsp

# Dependencies
#
app.obj : app.h dispatch.h world.h buffer.h resource.h app.c
buffer.obj : resource.h buffer.h app.h buffer.c
dispatch.obj : dispatch.h dispatch.c
main.obj : app.h dispatch.h world.h buffer.h resource.h main.c
mattab.obj : mattab.c
world.obj : dispatch.h world.h resource.h mattab.h buffer.h world.c

